version: "3.8"

services:
  tms:
    build:
      context: .                 # context is the transportmanager/ folder
      dockerfile: ./Dockerfile   # Dockerfile is inside transportmanager/
    image: tms:latest
    container_name: tms
    restart: always
    environment:
      - VIRTUAL_HOST=tms.northdanubesoft.eu
      - LETSENCRYPT_HOST=tms.northdanubesoft.eu
      - VIRTUAL_PORT=80
      - TZ=Europe/Bucharest
      - API_BASE_URL=https://tms.northdanubesoft.eu/api
    networks:
      - reverse-proxy
    volumes:
      - tms_sqlite:/app/server/instance

networks:
  reverse-proxy:
    external: true

volumes:
  tms_sqlite:

